"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineURLParams = exports.findCookieByName = exports.getFullURL = exports.getSearchParams = void 0;
function getSearchParams(config) {
    if (config.params) {
        return config.paramsSerializer
            ? config.paramsSerializer(config.params)
            : new URLSearchParams(config.params).toString();
    }
    return undefined;
}
exports.getSearchParams = getSearchParams;
function getFullURL(config) {
    var _a, _b;
    // istanbul ignore next
    if (((_a = config.url) === null || _a === void 0 ? void 0 : _a.startsWith("http")) || !config.baseURL) {
        return config.url;
    }
    var baseURL = config.baseURL.replace(/\/$/, "");
    var path = (_b = config.url) === null || _b === void 0 ? void 0 : _b.replace(/^\//, "");
    // istanbul ignore next
    if (!path) {
        return baseURL;
    }
    return "".concat(baseURL, "/").concat(path);
}
exports.getFullURL = getFullURL;
// istanbul ignore next
function findCookieByName(name) {
    if (typeof document !== "undefined") {
        var match = document.cookie.match(new RegExp("(^|;\\s*)(" + name + ")=([^;]*)"));
        return match ? decodeURIComponent(match[3]) : undefined;
    }
    return undefined;
}
exports.findCookieByName = findCookieByName;
function combineURLParams(url, searchParams) {
    if (searchParams) {
        // istanbul ignore next
        return url + (url.indexOf("?") === -1 ? "?" : "&") + searchParams;
    }
    return url;
}
exports.combineURLParams = combineURLParams;
